Overview

Seasave Remote allows you to connect your CTD to a computer on deck that is running Seasave V7 while receiving data and firing bottles at a remote location elsewhere on the ship. Seasave Remote can be used at the remote location to:
  • View data output from Seasave V7:
    • Transmitted via TCP/IP (if you selected Output converted data to socket using TCP/IP and XML format on the TCP/IP Out tab in Seasave’s Configure Outputs). OR
    • From a shared file on the network (if you selected Output data to shared file and XML format on the Shared File Out tab in Seasave’s Configure Outputs).
  • Control water sampler bottle firing through Seasave V7 via TCP/IP (if you selected Enable remote firing on the Water Sampler tab in SEASAVE’s Configure Inputs).
Seasave Remote can only display variables that are transmitted by Seasave V7; it cannot calculate derived variables based on the transmitted variables.

Seasave Remote and Seasave V7 are part of the SEASOFT© V2 software suite. SEASOFT V2 is designed to work with a PC meeting the following minimum system requirements: Windows 2000 or later, 500 MHz processor, 256 MB RAM, and 90 MB free disk space for installation; extensive testing has not shown any compatibility problems when using the software with a PC running Vista. Seasave Remote is compatible with Seasave V7 version 7.14d and later.

Seasave Remote's main window is similar to the window in Seasave V7, and looks like this:
  • Title bar -- The title bar shows the path and file name for the program setup (.psa) file. The .psa file contains all information entered in the menus as well as size, placement, and setup for each display window.
  • Menus -- The Menus contain options for setting up the interface between Seasave Remote and Seasave V7, and for controlling bottle firing.
  • Status display -- The Status display provides the following information:
    • If Seasave Remote is connected to a data source via TCP/IP or to a shared file: IP address of computer running Seasave V7 and TCP/IP port on that computer, or path and file name for shared file.
    • If Seasave Remote is connected for remote bottle firing: IP address of computer running Seasave V7 and TCP/IP ports on that computer.
  • Data Display windows -- Seasave Remote can display as many data windows as desired (within the limits of your computer's resources). The window types -- fixed, scrolled, and plot -- are the same as for Seasave V7; their setup is similar to the setup in Seasave V7, and is described in detail in Add/Edit/Import/Export/Print Display Window.
NOTES
  • When you start Seasave Remote, you may get a message stating that Windows Firewall has blocked some features of this program to protect your computer because of Seasave Remote's TCP/IP communication features. Click Unblock to permanently unblock the TCP/IP features of Seasave Remote.
  • For convenience, Seasave V7 is referred to as Seasave in the rest of these Help files.


Getting Started

Following are the basic procedures for using Seasave Remote to view data and fire bottles; click on the links for more details on each step.

NOTE
When you start Seasave Remote, you may get a message stating that Windows Firewall has blocked some features of this program to protect your computer because of Seasave Remote's TCP/IP communication features. Click Unblock to permanently unblock the TCP/IP features of Seasave Remote.

To View Data and Fire Bottles Remotely

  1. Set up Seasave for use with Seasave Remote as follows:
    • In Seasave's Configure Inputs or Configure Outputs, on the TCP/IP Ports tab, select the ports for data and/or remote bottle firing, as applicable.
    • In Seasave's Configure Outputs, select one of the following methods for transmitting data to a remote computer --
      - On the TCP/IP Out tab, select Output converted data to socket using TCP/IP and select XML format. OR
      - On the Shared File Out tab, select Output data to shared file and select XML format.
    • In Seasave's Configure Inputs, on the Water Sampler tab, set up the water sampler and select Enable remote firing. In the Real-Time Control menu, select Fire Bottle Control; the Bottle Fire dialog box appears (you can leave this open throughout the cast).
  2. In Seasave Remote, click the TCP/IP Ports menu; the TCP/IP Ports dialog box appears. If using TCP/IP to transmit data or for remote bottle firing, define the address of the computer running Seasave; define the ports used for transmitting data and for remote bottle firing commands and status, as applicable. The ports must match the ports defined on the TCP/IP Ports tab in Seasave's Configure Inputs or Configure Outputs.
  3. In Seasave Remote's Data menu, select Data Source; the Data Source dialog box appears. Select the Data Source for the displays: TCP/IP or Shared File. If you select Shared File, browse to the path and file name for the shared file.
  4. For remote bottle firing: In Seasave Remote's Bottle Fire menu, select Configure Bottle Firing. The Configure Bottle Firing dialog box appears. Select the bottle fire sequence: Sequential, User Input, or Table driven. Enter the number of bottles on your water sampler. If you selected Table driven, click Bottle Positions for Table Driven to input the desired bottle firing order.
  5. In Seasave, start data acquisition.
  6. In Seasave Remote's Data menu, click Connect. If you already have display windows set up in Seasave Remote, you should begin to see data; the Status bar should show that you are connected.
  7. If desired, modify or add display windows in Seasave Remote.
  8. In Seasave Remote's Bottle Fire menu, click Bottle Fire Control. In the Bottle Fire dialog box, click Connect. The Status bar should show that you are connected to the bottle fire client; you can now fire bottles from Seasave Remote.
  9. In Seasave Remote's Remote Bottle Fire window, click Fire Bottle when desired.
  10. When done, click Disconnect in Seasave Remote's Data menu and click Disconnect in Seasave Remote's Bottle Fire dialog.
  11. In Seasave, stop data acquisition.
NOTE
To get the Server address (instructions are for Windows XP) on the computer that is running Seasave:
  1. Click Start -> Control Panel.
  2. Double click Network Connections.
  3. Double click Local Area Network Connection. Click the Support tab to see the computer's IP address; this is the address to enter as the Server address in Seasave Remote.


Feedback To Sea-Bird

Considerable effort has been made to test and check this software before its release. However, because of the wide range of instruments that Sea-Bird produces (and interfaces with) and the many applications that these instruments are used in, there may be software problems that have not been discovered and corrected. If a problem occurs, please contact us via phone (425-643-9866), e-mail (seabird@seabird.com), or fax (425-643-9954) with the following information:
  • Instrument serial number
  • Version of the software originally shipped with the instrument
  • Version of the software you are attempting to run
  • Complete description of the problem you are having, including the steps required to create the problem
If the problem involves the configuration or setup of the software, in most cases a phone call to Sea-Bird will be sufficient to solve the problem. If you phone, we would appreciate it if you would be ready to run the software during the phone conversation.

If the problem involves data processing, you may be asked to send a sample of the data to Sea-Bird for evaluation.

We also welcome suggestions for new features and enhancements.


Software Updates

Sea-Bird supplies the current version of SEASOFT when you purchase an instrument. As software revisions occur, we post the revised software on our FTP site. You may not need the latest version. Our revisions often include improvements and new features related to one instrument, which may have little or no impact on your operation.

See our website’s Software Description page (www.seabird.com/software/softrev.htm) for the latest software version number, a description of the software changes, and instructions for downloading the software from the FTP site.


Open/Save Seasave Remote Setup

The Seasave Remote program setup file contains:
  • System configuration -- setup for TCP/IP ports, data, and bottle fire control.
  • Display window setup -- Information on setup, variables, size, and placement for each display window (fixed, scrolled, and plot) within the Seasave Remote window.
  • Option selections
The Seasave Remote program setup file has a .psa extension.

NOTE
Changes that you make in the menu dialog boxes and in the displays are saved to a buffer when you click OK and exit the dialog boxes. These changes are not automatically saved to the .psa file when you exit a dialog box. If you close Seasave Remote without saving the .psa file, the changes are lost. See Options to set up Seasave Remote to prompt you to save program setup changes or to save changes automatically when you close Seasave Remote.

To Open Seasave Remote Program Setup (.psa) File

In the File menu, select:
  • Open Setup File -- In the Open dialog box, select the desired file name and location, and click Open. OR
  • Recent Setup Files – A list of the 10 most recently used setup files is provided. Select the desired file.

To Save Seasave Remote Program Setup (.psa) File

In the File menu, select:
  • Save Setup File. OR
  • Save Setup File As. In the Save As dialog box, select/enter the desired file name and location, and click Save.

To Restore Seasave Remote Program Setup (.psa) File

In the File menu, select Restore Setup File. Restoring the program setup file deletes any changes you made in the menu dialog boxes (saved in a buffer) since the last time you saved the .psa file, restoring the selections in the last saved .psa file.

NOTES
  • The default location for Seasave Remote .psa files is
    %USERPROFILE%\Application Data\Sea-Bird\Seasave\
    (example c:\Documents and Settings\dbresko\Application Data\
    Sea-Bird\SeasaveRem\SeasaveRem.psa).
  • SeasaveRem.ini contains a list of paths and file names for recently used .psa files. SeasaveRem.ini is in
    %USERPROFILE%\Local Settings\Apps\Sea-Bird\
    (example c:\Documents and Settings\dbresko\Local Settings\
    Apps\Sea-Bird\Seasave.ini).


Print Display

Seasave Remote allows you to print any fixed, scrolled, or plot display.

NOTE
For printing plots, you can set up the default size, orientation, and color of the print on the Plot Display Print Options tab.

To Print Display from the File menu

  1. In the File menu, select Print.
  2. The Select Display dialog box appears. Select the desired display and click OK.
  3. The Print dialog box appears. Set up the printed output as desired, and then click Print or OK.

To Print Display from the desired display

  1. Right click in the display and select Print.
  2. The Print dialog box appears. Set up the printed output as desired, and then click Print or OK.


TCP/IP Ports

TCP/IP is Transmission Control Protocol/Internet Protocol, a communication protocol used to connect hosts on the internet and/or over networks. TCP/IP allows you to connect your CTD to a computer on deck while receiving data and firing bottles at a remote location elsewhere on the ship. TCP/IP also allows multiple applications running on the same computer to communicate with each other.

TCP/IP ports defined in Seasave Remote must match TCP/IP ports defined on the TCP/IP Ports tab in Configure Inputs or Configure Outputs in Seasave.

To Set Up TCP/IP Ports

  1. In Seasave Remote, click the TCP/IP Ports menu; the TCP/IP Ports dialog box appears.
  2. Set Address of computer running Seasave to the TCP/IP address of that computer.

NOTE

To get the computer address (instructions are for Windows XP):

A. On the computer that is running Seasave, click Start -> Control Panel.

B. Double click Network Connections.

C. Double click Local Area Network Connection. Click the Support tab to see the computer’s IP address.

  3. If applicable, define the port for data transmitted from Seasave for display in Seasave Remote:
    • Set Data Port to match the Send converted data port on the TCP/IP Ports tab in Configure Inputs or Configure Outputs in Seasave.
  4. If applicable, define ports for remote bottle firing:
    • Set Command Port to match the Receive commands port on the TCP/IP Ports tab in Configure Inputs or Configure Outputs in Seasave.
    • Set Status Port to match the Send Status port on the TCP/IP Ports tab in Configure Inputs or Configure Outputs in Seasave.
  5. Click OK.


Data Source

Seasave Remote can display real-time data output from Seasave in XML format via TCP/IP or to a shared file on the network. Seasave Remote can only display data output from Seasave; it cannot calculate derived variables from the data.

NOTE
Seasave Remote can only display variables that are transmitted by Seasave; it cannot calculate derived variables based on the transmitted variables.
In Seasave, define the desired output variables for viewing in Seasave Remote:
  • Via TCP/IP -- On the TCP/IP Out tab in Seasave’s Configure Outputs, select Output converted data to socket using TCP/IP and select XML format. Click the Select Variables button to choose the variables to be available for viewing on the remote computer. OR
  • From a shared file -- On the Shared File Out tab in Seasave’s Configure Outputs, select Output data to shared file and select XML format. Click the Select Variables button to choose the variables to be available for viewing on the remote computer.

Selecting the Data Source

  1. In the Data menu, select Data Source; the Data Source dialog box appears.
  2. Select the Data Source for the displays: TCP/IP or Shared File.
    • TCP/IP: Remember to select Data Port in the TCP/IP Ports menu to define the TCP/IP address and port.
    • Shared File:
      - Click Select Path to browse to the path and file name for the shared file.
      - Do not update displays while catching up to real-time – If you connect to the shared file after acquisition is in progress but without disabling display catch up, the displays may update in a jumpy manner while Seasave Remote catches up with all the data already placed in the file by Seasave, and it will take longer for Seasave Remote to catch up. If desired, turn off the display catch up; Seasave Remote will begin to immediately display real-time data as it is being placed in the shared file by Seasave.

  3. Optional -- Seasave Remote can read Seasave's .psa file to see what variables Seasave will be transmitting (via TCP/IP or to a shared file); this allows you to set up the displays (fixed, scrolled, and/or plot) before you connect, if desired. Click the Browse button to select the path and file name of Seasave's .psa file.

  4. Click OK.

Now that you have selected the data source, you can connect to Seasave via TCP/IP or a shared file.


Connect and Disconnect

Connect and Disconnect allows you to connect to Seasave via TCP/IP or via a shared file on the network, to view data output from Seasave.

To View Data in Seasave Remote

  1. Define whether the data source is via TCP/IP or via a shared file in the Data Source dialog in Seasave Remote's Data menu.
  2. If the data source is via TCP/IP, define the TCP/IP address and data port in Seasave Remote's TCP/IP Ports menu.
  3. In Seasave Remote’s Data menu, click Connect. Seasave Remote will connect to Seasave via TCP/IP or will access the shared file, as applicable. In the Status bar, it should now show
    “Data Source: Connected to . . . on port . . .” (if connecting to Seasave via TCP/IP) or
    “Data Source: . . . .XML” (if connecting to a shared file).
  4. In Seasave, start real-time data acquisition. You should see data in Seasave Remote’s displays as well as in the displays in Seasave.
  5. When you are done, click Disconnect in Seasave Remote’s Data menu.
NOTES
  • To display the Status bar, select Status in the Display menu.
  • For controlling water sampler bottle firing in Seasave Remote, see Bottle Fire Control.


Add/Edit/Import/Export/Print Display Window

Seasave Remote can have an unlimited number of display windows (within the resource limitations of your computer). Edit a display window to select desired parameters, colors, and plot characteristics (labels, grids, etc.). This information is saved in the display setup (.dsa) file as well as in the program setup (.psa) file.

Displays can be added and/or reconfigured during data acquisition without interrupting data acquisition. For example, if you start a cast and realize that you forgot to select some desired variables in a display, you can right click in the display to modify it, select the desired variables, and save the changes without interrupting data acquisition. Once the desired changes are saved, the display will show the additional variables (of course, any data that was acquired before you modified the display will not appear in the display).

To Add a New Display Window

  1. Click Display, and select Add New (Fixed, Scrolled, or Plot) Display Window.
  2. The display dialog box appears. The selections in the dialog box vary, depending on the display type. See Fixed Display, Scrolled Display, and Plot Display.
NOTE
Seasave Remote will not allow you to add or modify a display until it has the list of variables that Seasave will transmit, because it requires a list of potential display variables for you to select from. Obtain this list using one of the following methods:
  • Start real-time data acquisition in Seasave. In Seasave Remote, define the data source as TCP/IP in the Data menu's Data Source dialog, define the TCP/IP ports in the TCP/IP Ports menu dialog, and then Connect to Seasave in the Data menu.
    OR
  • Start real-time data acquisition in Seasave. In Seasave Remote, define the data source as Shared File and specify the path and file name for the shared file in the Data menu's Data Source dialog, and then Connect to Seasave in the Data menu.
    OR
  • In Seasave Remote, define the data source as TCP/IP or Shared File, and Browse for Seasave's .psa file in the Data menu's Data Source dialog. Seasave Remote can read Seasave's .psa file to see what variables Seasave will be transmitting via TCP/IP or to a shared file.

To Import a New Display Window

  1. Click Display, and select Import Display Settings (.dsa file).
  2. The Open dialog box appears. Select the desired .dsa file and click OK.
NOTE
A Seasave Remote display setup (.dsa) file defines the size, placement, and setup for a display window. The information in the .dsa file is also incorporated into the program setup (.psa) file. You can import and export .dsa files, allowing you to create the desired displays once and then reuse them later for other instruments / deployments.

To Modify (Edit) a Display Window

  1. To change the content of a display, right click in the desired window and select Modify. The display dialog box appears. The selections in the dialog box vary, depending on the display type (see Fixed Display, Scrolled Display, and Plot Display). Make the desired selections and click OK.
  2. To change the display window size and/or location:
    • Click Display, and select the arrangement type: horizontal tiles, vertical tiles, or cascade. Seasave Remote automatically sizes and arranges all the windows. OR
    • Use standard Windows click-and-drag methods to resize and move the window(s) as desired.
NOTE
Seasave Remote will not allow you to add or modify a display until it has the list of variables that Seasave will transmit, because it requires a list of potential display variables for you to select from. Obtain this list using one of the following methods:
  • Start real-time data acquisition in Seasave. In Seasave Remote, define the data source as TCP/IP in the Data menu's Data Source dialog, define the TCP/IP ports in the TCP/IP Ports menu dialog, and then Connect to Seasave in the Data menu.
    OR
  • Start real-time data acquisition in Seasave. In Seasave Remote, define the data source as Shared File and specify the path and file name for the shared file in the Data menu's Data Source dialog, and then Connect to Seasave in the Data menu.
    OR
  • In Seasave Remote, define the data source as TCP/IP or Shared File, and Browse for Seasave's .psa file in the Data menu's Data Source dialog. Seasave Remote can read Seasave's .psa file to see what variables Seasave will be transmitting via TCP/IP or to a shared file.

To Export a Display Window

You can export the setup of a display window, for reuse later for another instrument and/or deployment.
  1. Right click in the desired window and select Export Display Settings (.dsa file).
  2. The Save As dialog box appears. Enter the desired path and file name for the .dsa file and click OK.
NOTE
A Seasave Remote display setup (.dsa) file defines the size, placement, and setup for a display window. The information in the .dsa file is also incorporated into the program setup (.psa) file. You can import and export .dsa files, allowing you to create the desired displays once and then reuse them later for other instruments / deployments.

To Print a Display Window

  1. Right click in the desired window and select Print.
  2. The Printing dialog box appears; set up the print job as desired and click OK.

To Resize a Plot Display Window

To enlarge a plot display to full screen:
  • Click Display and select Maximize All Plots. OR
  • Right click in a plot window and select Maximize. OR
  • Click on the standard Windows Maximize button at the top right of the plot display.
The Remote Bottle Fire Control dialog always remains visible and on top of the display(s). With a plot display maximized, use the Tab key to view other displays.

To return a plot display to its previous size:
  • Click Display and select Restore All. OR
  • Right click in a plot window and select Restore. OR
  • Click on the standard Windows Restore button at the top right of the plot display.


Fixed Display

A Fixed Display has a vertical list of the selected parameters to the left, and displays their current values to the right. To set up a Fixed Display:
  • Click Display, and select Add New Fixed Display Window. OR
  • Click Display, and select Import Display Settings (.dsa file). OR
  • Right click in an existing Fixed Display and click Modify.
NOTE
Seasave Remote will not allow you to add or modify a display until it has the list of variables that Seasave will transmit, because it requires a list of potential display variables for you to select from. Obtain this list using one of the following methods:
  • Start real-time data acquisition in Seasave. In Seasave Remote, define the data source as TCP/IP in the Data menu's Data Source dialog, define the TCP/IP ports in the TCP/IP Ports menu dialog, and then Connect to Seasave in the Data menu.
    OR
  • Start real-time data acquisition in Seasave. In Seasave Remote, define the data source as Shared File and specify the path and file name for the shared file in the Data menu's Data Source dialog, and then Connect to Seasave in the Data menu.
    OR
  • In Seasave Remote, define the data source as TCP/IP or Shared File, and Browse for Seasave's .psa file in the Data menu's Data Source dialog. Seasave Remote can read Seasave's .psa file to see what variables Seasave will be transmitting via TCP/IP or to a shared file.

The Fixed Display dialog box looks like this:

On the left is a list of the variables that have been selected for display. On the right is a list of all variables available for display, based on the variables selected for transmission via TCP/IP or to a shared file (as applicable) in Configure Outputs in Seasave.
Looking at the buttons at the top and at the right side of the dialog box:
  • Delete – Delete highlighted variable.
  • Delete All – Delete all variables.
  • Add – Add selected variable to bottom of list.
  • Insert – Add selected variable above highlighted variable on list.
  • Change – Substitute selected variable for highlighted variable on list.
Other dialog box selections include:
  • Seconds between updates -- Time between each update of display; each display can have a different update rate. Faster than 1 second can be difficult to view. Set to 0 for full rate data.
  • Font size -- Select small, medium, or large.
  • Two columns – Click to enable a 2-column display.
  • Variable name -- Double click in list at right to select the variable for each row, or use the Add, Insert, or Change button.
  • Color: Text and Back (color behind text) -- Double click in a box to change the color for that variable, or double click on the heading (Text or Back) to change the color for all variables. The color dialog box appears; select the desired color and click OK.
When done, click OK.

Viewing Fixed Display

Shown below are two example Fixed Displays, illustrating 1-column and 2-column setup:

Adjust the column width by placing the mouse cursor over the line at the right side of the number column header and dragging.

Right click in the display to:
  • Modify – change setup; the Fixed Display dialog box appears.
  • Export Display Settings (.dsa file) – export setup to .dsa file; the Save As dialog box appears.
  • Print – print display. The Printing dialog box appears; set up the print job as desired and click OK.


Scrolled Display

A Scrolled Display has a list of the selected parameters across the top, and displays the data in scrolling vertical columns. To set up a Scrolled Display:
  • Click Display, and select Add New Scrolled Display Window. OR
  • Click Display, and select Import Display Settings (.dsa file). OR
  • Right click in an existing Scrolled Display and click Modify.
NOTE
Seasave Remote will not allow you to add or modify a display until it has the list of variables that Seasave will transmit, because it requires a list of potential display variables for you to select from. Obtain this list using one of the following methods:
  • Start real-time data acquisition in Seasave. In Seasave Remote, define the data source as TCP/IP in the Data menu's Data Source dialog, define the TCP/IP ports in the TCP/IP Ports menu dialog, and then Connect to Seasave in the Data menu.
    OR
  • Start real-time data acquisition in Seasave. In Seasave Remote, define the data source as Shared File and specify the path and file name for the shared file in the Data menu's Data Source dialog, and then Connect to Seasave in the Data menu.
    OR
  • In Seasave Remote, define the data source as TCP/IP or Shared File, and Browse for Seasave's .psa file in the Data menu's Data Source dialog. Seasave Remote can read Seasave's .psa file to see what variables Seasave will be transmitting via TCP/IP or to a shared file.

The Scrolled Display dialog box looks like this:

On the left is a list of the variables that have been selected for display. On the right is a list of all variables available for display, based on the variables selected for transmission via TCP/IP or to a shared file (as applicable) in Configure Outputs in Seasave.
Looking at the buttons at the top and at the right side of the dialog box:
  • Delete – Delete highlighted variable.
  • Delete All – Delete all variables.
  • Add – Add selected variable to bottom of list.
  • Insert – Add selected variable above highlighted variable on list.
  • Change – Substitute selected variable for highlighted variable on list.
Other dialog box selections include:
  • Rows to display and Total rows – Rows to display is the number of rows that show at one time in display; Seasave Remote uses this to determine the vertical size of the display. Total rows is the total number of rows in the display; if Total rows > Rows to display, the display will have a scroll bar to enable the user to view more data (you can later resize the display manually as desired using standard Windows drag methods).
  • Font size -- Select small, medium, or large.
  • Seconds between updates -- Time between each update of display; each display can have a different update rate. Faster than 1 second can be difficult to view. Set to 0 for full rate data.
  • Variable name -- Double click in list at right to select the variable for each row, or use the Add, Insert, or Change button.
  • Color: Text and Back (color behind text) -- Double click in a box to change the color for that variable, or double click on the heading (Text or Back) to change the color for all variables. The color dialog box appears; select the desired color and click OK.
When done, click OK.

Viewing Scrolled Display

Shown below is an example scrolled display:

Adjust the column width by placing the mouse cursor over the line between the headings and dragging.

Right click in the display to make changes / print:
  • Modify – change setup; the Scrolled Display dialog box appears.
  • Export Display Settings (.dsa file) – export setup to .dsa file; the Save As dialog box appears.
  • Print – print display. The Printing dialog box appears; set up the print job as desired and click OK.
NOTE
To minimize column width, Seasave Remote uses abbreviations for the Scrolled Display headings. For example, Temperature [ITS-90, deg C] is abbreviated as t 90 C.


Plot Display

A Plot Display can:
  • Plot up to 5 variables on one plot, with a single X axis and up to four Y axes or a single Y axis and up to four X axes.
  • Plot any variable on a linear or logarithmic scale (logarithmic scale not applicable to TS plots). For linear scale, values can be increasing or decreasing with distance from the axis.
  • Create contour plots, generating density (sigma-t or sigma-theta) or thermosteric anomaly contours on temperature-salinity (TS) plots.
  • Send plots to a printer, save plots to the clipboard for insertion in another program (such as Microsoft Word), or save plots as graphic files in bitmap, metafile, or JPEG format.
To set up a plot display:
  • Click Display, and select Add New Plot Display Window. OR
  • Click Display, and select Import Display Settings (.dsa file). OR
  • Right click in an existing plot display and click Modify.
NOTE
Seasave Remote will not allow you to add or modify a display until it has the list of variables that Seasave will transmit, because it requires a list of potential display variables for you to select from. Obtain this list using one of the following methods:
  • Start real-time data acquisition in Seasave. In Seasave Remote, define the data source as TCP/IP in the Data menu's Data Source dialog, define the TCP/IP ports in the TCP/IP Ports menu dialog, and then Connect to Seasave in the Data menu.
    OR
  • Start real-time data acquisition in Seasave. In Seasave Remote, define the data source as Shared File and specify the path and file name for the shared file in the Data menu's Data Source dialog, and then Connect to Seasave in the Data menu.
    OR
  • In Seasave Remote, define the data source as TCP/IP or Shared File, and Browse for Seasave's .psa file in the Data menu's Data Source dialog. Seasave Remote can read Seasave's .psa file to see what variables Seasave will be transmitting via TCP/IP or to a shared file.
The plot discussion is in several parts:
  • Plot Setup tab (below)
  • Axis tabs
  • Print Options tab
  • Save Options tab
  • Copy Options tab
  • Viewing and printing plot

Plot Setup tab

The Plot Setup tab defines the overall plot characteristics – number of axes, plot layout (title, color, font, grid lines, etc.), bottle firing display, etc. The Plot Setup tab in the Plot Display dialog box looks like this:

The dialog box selections and buttons include:
  • Title: Title is placed in plot title bar on screen to save space. However, title appears at top-center of plot if you copy, save, or print plot.
  • Plot type and Number of Axes: Single X – Multiple Y (1 X and up to 4 Y axes) or Single Y – Multiple X (1 Y and up to 4 X axes); or TS Plot (always 1 Y and 1 X axis).
  • TS Plot Setup: This button is enabled if TS (Temperature-Salinity) plot type is selected. See TS Plot Setup.
  • Grid lines: Type (none, horizontal and vertical, horizontal, or vertical), style (solid, dotted, or dashed), whether to place Grid in front of plotted data define grid.
  • Display downcast only: Plot only downcast data. Seasave Remote determines that upcast has begun when P > Minimum pressure to determine upcast and P has decreased from previous maximum P by Pressure decrease to determine upcast.

  • Enable upcast line colors: Plot downcast and upcast in different colors (colors defined with Colors button). Algorithm for determining that upcast has begun is same as described above for Display Downcast Only.
  • Bottle Fire Line display: (for a system integrated with a water sampler)
    If Show lines selected, Seasave Remote places a horizontal line in plot to indicate data associated with a bottle closure. Label and Style define line.
    If Show fire sequence selected, Seasave Remote lists bottle closure order to right of plot.
  • Black text axes: Label all axes in black (otherwise, label colors are defined with Colors button).
  • Show plot shadow: Shadow effect to bottom and right of axes.
  • Monochrome plot: Black and white plot; this selection disables Colors button.
  • Seconds between plot updates: Time between each update of variables for updating display; each display can have a different update rate. Faster than 1 second can be difficult to view. Set to 0 for full rate data.
  • Font: Font list depends on what fonts are installed on your computer. Font and font size apply to everything on plot -- title, axis labels, numbers on grid, etc.
  • Colors: Colors defined include inside and outside background (color within and outside axes), title, grid lines, axes labels, axes plots, bottle lines, and contour lines, as applicable. Button is not enabled if Monochrome plot was selected.
When done with all tabs on the Plot Display dialog box, click OK.


TS Plot Setup

If a TS plot type is selected on the Plot Setup tab, the TS Plot Setup button is enabled. The TS Plot Setup defines the contour lines for the plot; the user selects from the following contour types:
  • Density contours – Seasave calculates and plots sigma-t contours if temperature is plotted, or sigma-theta contours if potential temperature is plotted (see Axis Tabs for selection of temperature parameter)
  • Thermosteric anomaly contours
The units for the parameters in the input data file do not affect the contour calculations. For example, temperature could be in °C or °F, ITS-90 or ITS-68; Seasave performs the required conversions to calculate the contours.

If the TS Plot Setup button is clicked, the following dialog box appears:

The dialog box selections and buttons include:
  • Contour variable -- Variable to be calculated and plotted on contour lines: density (sigma-t or sigma-theta) or thermosteric anomaly.
  • Starting contour value is lowest value of contour variable to be plotted. First contour line is plotted at this value; subsequent lines are plotted at every Contour interval.
  • Significant digits -- Number of significant digits to right of decimal point for contour line labels.
  • Points per line -- Defines contour line smoothness (10 = least smooth; 200 = smoothest).
  • Label position -- Distance of contour line labels from Y axis as a % of X axis size (0% = label contour lines on Y axis; 100% = label contour lines at far right of plot).
  • Label size -- Type size of the contour line values (1 = smallest; 10 = largest).
  • Contour line type -- Select contour line thickness.
Click OK after making your entries.


Plot Display Axis Tabs

The plot discussion is in several parts:
  • Plot Setup tab
  • Axis tabs (below)
  • Print Options tab
  • Save Options tab
  • Copy Options tab
  • Viewing and printing plot
The Axis tabs in the Plot Display dialog box look like this (but the first axis tab -- the Y Axis tab in the example shown below -- does not include Line type):

The dialog box selections and buttons include:
  • Select Variable: Click to choose the desired variable. The list includes all variables available for display, based on the variables selected for transmission via TCP/IP or to a shared file (as applicable) in Configure Outputs in Seasave; make your selection and click OK.
  • Scale:
    -     Minimum and Maximum values to display in plot. Any values that fall outside Minimum to Maximum range will plot at minimum or maximum, as applicable, unless Auto page this axis selected.
    -     Linear or Logarithmic: Selected one for this axis.
    -     Reverse scale direction: Plot axis from highest to lowest value. Typically used when pressure or depth is plotted on Y axis, so pressure / depth starts at 0 at top of plot and increases as you move down vertically.
  • Axis Label: Label the axis with Variable name as listed above, or enter a Custom label for the axis.
  • Number of Major divisions on the axis, and number of Minor divisions between major divisions. Example: With a range from 0 - 10 °C, 5 major divisions provides tick marks every 2 °C; 4 minor divisions provides tick marks every 0.5 °C.
  • Number of decimal digits to display after the decimal point.
  • Auto page this axis: If selected, the display pages down if the data falls outside the minimum/maximum range. If you change Auto page percent for 1 axis, it automatically changes for all axes.
    Example: You set up the axis for 0 - 10 °C, but the actual cast exceeds 10 °C.
    If Auto page percent = 100, minimum/maximum adjusts to 10 to 20 °C to continue to display data.
    If Auto page percent = 80, minimum/maximum adjusts to 8 to 18 °C to continue to display data.
  • Line type: (does not appear on tab for first axis (Y axis tab in example shown above).
When done with all tabs on the Plot Display dialog box, click OK.


Plot Display Print Options Tab

The plot discussion is in several parts:
  • Plot Setup tab
  • Axis tabs
  • Print Options tab (below)
  • Save Options tab
  • Copy Options tab
  • Viewing and printing plot
The Print Options tab in the Plot Display dialog box defines the size and orientation for when the plot is output to the printer. The Print Options tab looks like this:

The dialog box selections and buttons include:
  • Orientation -- Landscape, Portrait, or print Driver default.
  • Full page -- scale plot to fit 8.5 x 11 inch page. If selected, the remaining items are grayed out.
  • Print in black and white -- If selected, Seasave Remote makes the background colors white and all lines black when you Print.
  • Size determined by --
    • Plot display size -- dimensions of plot as shown on screen, or
    • Values Entered Below -- dimensions entered in dialog box (mm, inches, or points).
When done with all tabs on the Plot Display dialog box, click OK.

NOTE
See Viewing and Printing Plot Displays.


Plot Display Save Options Tab

The plot discussion is in several parts:
  • Plot Setup tab
  • Axis tabs
  • Print Options tab
  • Save Options tab (below)
  • Copy Options tab
  • Viewing and printing plot
The Save Options tab in the Plot Display dialog box defines the output file type and size for when the plot is saved to a file (as a .wmf, .jpg, or .bmp). The Save Options tab looks like this:

The dialog box selections and buttons include:
  • Default format for save – metafile (.wmf), JPG (.jpg), or bitmap (.bmp). This defines the default file extension in the Save to File dialog box, but another file extension can be selected at that time if desired.
  • Size determined by --
    • Plot display size -- dimensions of plot as shown on screen, or
    • Values Entered Below -- dimensions entered in dialog box (mm, inches, or points for .wmf; pixels for .jpg or .bmp).
When done with all tabs on the Plot Display dialog box, click OK.


Plot Display Copy Options Tab

The plot discussion is in several parts:
  • Plot Setup tab
  • Axis tabs
  • Print Options tab
  • Save Options tab
  • Copy Options tab (below)
  • Viewing and printing plot
The Copy Options tab in the Plot Display dialog box defines the plot type and size for copying to the clipboard (as a windows metafile, JPEG, or bitmap). The Copy Options tab looks like this:

The dialog box selections and buttons include:
  • Use format selected below when copying plot to clipboard – Seasave Remote automatically uses the selected format (metafile, JPG, or bitmap) when copying the plot to the clipboard.
  • Show dialog to select format when copying plot to clipboard – Seasave Remote prompts you to select the format (metafile, JPG, or bitmap) when copying the plot to the clipboard.
  • Size determined by –
    • Plot display size -- dimensions of plot as shown on screen, or
    • Values Entered Below -- dimensions entered in dialog box (mm, inches, or points for metafile; pixels for JPG or bitmap).
When done with all tabs on the Plot Display dialog box, click OK.


Viewing and Printing Plot Displays

The plot discussion is in several parts:
  • Plot Setup tab
  • Axis tabs
  • Print Options tab
  • Save Options tab
  • Copy Options tab
  • Viewing and printing plot display (below)
Shown below is an example plot.

Right click in the plot to make changes/selections:
  • Modify – change plot setup; the Plot Display dialog box appears.
  • Modify ranges -- change plot axis ranges; Modify Ranges dialog box appears. See description below.
  • Modify colors -- change plot colors; Colors dialog box appears.
  • Export Display Settings (.dsa file) -- export setup to .dsa file; the Save As dialog box appears
  • Print, Copy (to clipboard), Save Picture as – See description below.
  • Toolbar – Enable / disable display of the toolbar at the top of the plot.
  • Scroll/Zoom – See description below.
  • Undo scroll & zoom – See description below.
  • Disable auto page – Seasave Remote automatically disables auto page if you scroll or zoom, or undo scroll & zoom. To re-enable, select Disable auto page.
    Note: Only applicable if you selected Auto page this axis on one or more Axis setup tabs.
  • Maximize – enlarge plot display to full screen. When enlarged, use the Tab key to view other displays.
  • Restore – If maximized, return the plot display to its previous size.
Change the plot using the toolbar buttons at the top of the plot or by right clicking in the plot:

Toolbar Button | Right click in Plot | Description
< arrows | Scroll/zoom – 10% | Move center of plot by 10% of range.
<< arrows | Scroll/zoom – 80% | Move center of plot by 80% of range.
+ and - | Scroll/zoom – in and out | Increase size 200% (decrease range 50%) or decrease size 50% (increase range 200%). Before zooming, scroll to area of plot you want to enlarge; Seasave Remote zooms in at center of plot. You can zoom several times before reaching limits. You can also zoom in by clicking and dragging to select a rectangular area in plot.
Undo (O) | Undo scroll & zoom | Undo most recent scroll or zoom. Select multiple times to return to original plot. To return to original plot in 1 step, right click in plot and select Modify, and then click OK in Plot Display dialog box.
Print | Print | Bring up Print dialog box. Default plot size and orientation was defined on Print Options tab. However, you can change these by clicking Preferences in Print dialog box.
Copy | Copy | Copy to Clipboard. Plot size and format was defined on Copy Options tab. If you selected Show dialog to select format when copying plot to clipboard on Copy Options tab, Seasave Remote prompts you to select format (metafile, JPG, or bitmap).
Save | Save Picture as | Bring up Save to File dialog box. Plot size and default type (jpg, .bmp, or .wmf) was defined on Save Options tab. However, you can change file type in Save to File dialog box.

The modify Ranges dialog box (right click on the Plot Display and select Modify Ranges) looks like this:

This allows you to easily and quickly modify the range for each axis. Click Apply to see how any changes look. Click OK. to exit the dialog box; all changes will be retained (but you can undo the changes if desired, using the Undo button on the plot toolbar).


Status Display

The Status display is just below Seasave Remote’s title bar and menus. To display or hide the Status display, select Status in the Display menu.

The Status display provides the following information:
  • If Seasave Remote is connected to a data source via TCP/IP or to a shared file: IP address of computer running Seasave and TCP/IP port for data transmission on that computer (Data Source: Connected to . . . on port . . .), or path and file name for shared file (Data Source: . . . .XML).
  • If Seasave Remote is connected for remote bottle firing: IP address of computer running Seasave and TCP/IP ports for bottle firing on that computer (Bottle Fire: Connected to . . . on ports . . . and . . .).


Configure Bottle Firing

Seasave Remote can control water sampler bottle firing through Seasave via TCP/IP.

NOTE
In Seasave, you must enable remote firing on the Water Sampler tab in Configure Inputs.

Configuring Bottle Firing

  1. In Seasave Remote’s Bottle Fire Control menu, select Configure Bottle Firing. The Configure Bottle Firing dialog box appears.
  2. Select the bottle fire sequence:
    • Sequential – When commanded to fire, bottles are fired in order of position (bottle in position #1 fired first, bottle in position #2 fired second, etc.).
      Note: For Hydro Bios, IOW, or G.O. 1015 water samplers, Sequential is the only valid selection.
    • User input – Before commanding to fire, user selects which bottle to fire.
    • Table driven – When commanded to fire, bottles are fired in order pre-defined by the user.
  3. Select the Number of bottles – Enter the number of bottles on your water sampler. Seasave Remote initially uses this information only if you select Table driven for Bottle fire sequence, to determine how many entries are needed for the table.
    Note: Once you have connected to Seasave’s bottle fire server (Connect button in Bottle Fire / Bottle Fire Control in Seasave Remote), the number of bottles in the water sampler setup in Seasave will override the number you enter here.
  4. If you selected Table driven in Step 2, click Bottle Positions for Table Driven to define the bottle firing order. When commanded to fire, bottles are fired in the order pre-defined in this table.
  5. Click OK.

Now that you have configured the remote bottle firing, you can connect to Seasave and fire bottles.


Bottle Fire Control

Bottle Fire Control allows you to connect to Seasave via TCP/IP, to send bottle fire commands to Seasave and receive bottle fire confirmations from Seasave.

To Control Bottle Firing in Seasave Remote

  1. In Seasave Remote's TCP/IP Ports menu, define the TCP/IP address and ports for remote bottle firing.
  2. In Seasave Remote's Bottle Fire menu, select Configure bottle firing. Define the bottle fire sequence (sequential, user-input, or table driven), number of bottles, and (if applicable) the bottle positions for table driven bottle firing.
  3. In Seasave Remote’s Bottle Fire menu, select Bottle Fire Control. The Remote Bottle Fire dialog appears.
  4. In Seasave Remote's Remote Bottle Fire dialog, click Connect. Seasave Remote will connect to Seasave via TCP/IP . In the Status bar, it should now show “Bottle Fire: Connected to . . . on ports . . . and . . .”.
  5. In Seasave, start real-time data acquisition. You should see data display in Seasave Remote’s displays as well as on the displays in Seasave. The Remote Bottle Fire dialog box should update to show the total number of bottles, based on the number of bottles in Seasave's water sampler setup.
  6. Fire bottles from Seasave Remote's Remote Bottle Fire dialog as desired:

  • If you selected Sequential firing: Click Fire Bottle when desired. Seasave Remote sends a command to Seasave to fire the next bottle position (1, 2, 3, etc.).

  • If you selected User-Input firing: Use the Up and Down arrows to select the desired bottle position for the next bottle to be fired. Click Fire Bottle when desired. Seasave Remote sends a command to Seasave to fire the designated bottle position.

  • If you selected Table Driven firing: Click Fire Bottle when desired. Seasave Remote sends a command to Seasave to fire the next bottle position pre-defined in the table.

The Remote Bottle Fire dialog updates to show the bottle firing sequence on the right side of the dialog box.

  7. When you are done, click Disconnect in Seasave Remote’s Remote Bottle Fire dialog.
NOTES
  • To display the Status bar, select Status in the Display menu.
  • To view data from Seasave via TCP/IP or via a shared file, see Connect and Disconnect.


Options

  • Prompt to save program setup changes – If selected, when you exit Seasave Remote (by selecting Exit in the File menu or clicking the close button in the upper right hand corner of the window), Seasave Remote prompts you to save the program setup (.psa) file if desired.
  • Automatically save program setup changes on exit – If selected, when you exit Seasave Remote (by selecting Exit in the File menu or clicking the close button in the upper right hand corner of the window), Seasave Remote automatically saves the program setup (.psa) file before exiting.

Note: If neither Prompt to save program setup changes nor Automatically save program setup changes on exit is selected, Seasave Remote will not provide a warning and will not save changes to the program setup file before exiting.

  • Confirm display setup change – If selected, when you close a fixed, scrolled, or plot display window (by clicking the close button in the upper right hand corner of the display window), Seasave Remote prompts you to save the display setup (.dsa) file if desired. If not selected, Seasave Remote will not save display settings to a .dsa file.
  • Maximized plot may cover Seasave Remote – If selected, when you maximize a plot display it fills the entire monitor screen, covering up the Seasave Remote title bar, menus, and status bar. Otherwise, a maximized plot display remains within the Seasave Remote window.
  • Do not erase plots when connecting – If selected, Seasave Remote will not erase any existing plot displays when connecting. This may be useful if you need to reconnect in the middle of a cast because a network problem caused the system to disconnect.
    Note: You can manually erase a plot by right clicking in the plot and selecting Erase plot.
  • Diagnostics – If selected, a diagnostics dialog box appears. Select Keep a diagnostics log for Seasave Remote to enable diagnostics output, which can be useful for troubleshooting if you encounter difficulty running the program. Click Select Path to select the location and name for the diagnostics file. The default location for the diagnostics file is
    %USERPROFILE%\Application Data\Sea-Bird\
    (example c:\Documents and Settings\dbresko\Application Data\Sea-Bird\).
    The default name is SRLog.txt. Select Level of diagnostics to include in the log: Errors, Warnings (includes Errors), or Information (includes Errors and Warnings). If desired, click Display Log File to display the contents of the indicated file, using Notepad. If desired, click Erase Log File to erase the contents of the indicated file. If not erased, Seasave Remote appends diagnostics data to the end of the file. Click OK when all selections are complete.
NOTES
  • The .psa file contains all information entered in the menus as well as size, placement, and setup for each display window.
  • When you click OK in the TCP/IP Ports, Data Source, or Configure Bottle Firing dialog boxes, and/or create/modify a display, Seasave Remote saves the changes to a temporary location. However, the changes are not saved to the program setup (.psa) file until you select Save Setup File or Save Setup File As in the File menu.
  • A display setup (.dsa) file defines the size, placement, and setup for a display window. The information in the .dsa file is also incorporated into the program setup (.psa) file. You can import and export .dsa files, allowing you to create the desired displays once and then reuse them later for other instruments / deployments. Even if you do not export the display setup to a separate .dsa file, the changes in the display are incorporated in the .psa file the next time you save the .psa file. See Add/Edit/Import/Export/Print Display Window.